# removeCredentialsInput

Input object for removing credentials from a connector.

### Examples

```graphql
input RemoveCredentialsInput {
  connectorID: String!
  credentialsIndex: Int
  credentialsId: String
}
```

### Fields

| Field                  | Description                                                   | Supported fields |
| ---------------------- | ------------------------------------------------------------- | ---------------- |
| connectorID `String!`  | Unique identifier of the connector to remove credentials from |                  |
| credentialsIndex `Int` | Index of the credentials to remove in the credentials array   |                  |
| credentialsId `String` | Unique identifier of the credentials to remove.               |                  |

### References

#### Mutations using this object:

* [<\~> removeCredentials.removeCredentialsInput](/api-documentation/api-reference/api--connectors/mutations/remove-credentials.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/inputs/remove-credentials-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
